zenilib: SDL_AudioDriver Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_AudioDriver Struct Reference

`#include <SDL_sysaudio.h>`

## Public Attributes

const char * | desc
SDL_AudioDriverImpl | impl
int | inputDeviceCount
char ** | inputDevices
const char * | name
int | outputDeviceCount
char ** | outputDevices

## Detailed Description

Definition at line 61 of file SDL_sysaudio.h.

## Member Data Documentation

const char* SDL_AudioDriver::desc

Definition at line 69 of file SDL_sysaudio.h.

Referenced by SDL_AudioInit().

SDL_AudioDriverImpl SDL_AudioDriver::impl

Definition at line 71 of file SDL_sysaudio.h.

Referenced by close_audio_device(), open_audio_device(), SDL_AudioInit(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), SDL_GetNumAudioDevices(), SDL_LockAudioDevice(), SDL_PauseAudioDevice(), SDL_RunAudio(), and SDL_UnlockAudioDevice().

int SDL_AudioDriver::inputDeviceCount

Definition at line 77 of file SDL_sysaudio.h.

Referenced by SDL_AddCaptureAudioDevice(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

char** SDL_AudioDriver::inputDevices

Definition at line 76 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_AddCaptureAudioDevice(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

const char* SDL_AudioDriver::name

Definition at line 65 of file SDL_sysaudio.h.

Referenced by SDL_AudioInit(), SDL_AudioQuit(), and SDL_GetCurrentAudioDriver().

int SDL_AudioDriver::outputDeviceCount

Definition at line 74 of file SDL_sysaudio.h.

Referenced by SDL_AddOutputAudioDevice(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

char** SDL_AudioDriver::outputDevices

Definition at line 73 of file SDL_sysaudio.h.

Referenced by open_audio_device(), SDL_AddOutputAudioDevice(), SDL_AudioQuit(), SDL_GetAudioDeviceName(), and SDL_GetNumAudioDevices().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/audio/SDL_sysaudio.h